Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory
          com.verisign.epp.codec.contact.EPPContactMapFactory

    public class EPPContactMapFactory

extends EPPMapFactory

`EPPContactMapFactory` represents the `EPPCommand` and `EPPResponse` factory for the EPP Contact Mapping with the XML Namespace URI "urn:iana:xmlns:contact". The fully qualified class name for `EPPContactMapFactory` is included in a call to `EPPFactory.init` or `EPPCodec.init`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPCodec`, `EPPFactory`, `EPPCommand`, `EPPResponse`

Field Summary
`static java.lang.String` | `ELM_CONTACT_AUTHINFO` XML tag name associated with contact authorization information.
`static java.lang.String` | `NS` Namespace URI associated with EPPContactMapFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPContactMapFactory.
`static java.lang.String` | `NS_SCHEMA` EPP Contact XML Schema.

Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

Constructor Summary
`EPPContactMapFactory()` Allocates a new `EPPContactMapFactory`.

Method Summary
`EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` creates a concrete `EPPCommand` from the passed in XML Element tree.
`EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` creates a concrete `EPPResponse` from the passed in XML Element tree.
`EPPService` | `getService()` Gets the `EPPService` associated with `EPPContactMapFactory`.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPContactMapFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPContactMapFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP Contact XML Schema.

  See Also:
    Constant Field Values

### ELM_CONTACT_AUTHINFO

    public static final java.lang.String ELM_CONTACT_AUTHINFO

  XML tag name associated with contact authorization information. This value will be passed to the authInfo object when it is initialized in contact command mappings.

  See Also:
    Constant Field Values

Constructor Detail

### EPPContactMapFactory

    public EPPContactMapFactory()

  Allocates a new `EPPContactMapFactory`. The service attribute will be initialized with the XML namespace information defined by the `EPPContactMapFactory` constants:
  - NS_PREFIX Namespace prefix of `EPPContactMapFactory`
  - NS Namespace URI of `EPPContactMapFactory`
  - NS_SCHEMA Namespace schema reference of `EPPContactMapFactory`

Method Detail

### createCommand

    public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                             throws EPPCodecException

  creates a concrete `EPPCommand` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <contact:create> must be the element passed for a Contact Create Command.

  Specified by:
    `createCommand` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPCommand` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPCommand`

### createResponse

    public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                               throws EPPCodecException

  creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <contact:info-data> must be the element passed for a Contact Info Response.

  Specified by:
    `createResponse` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPResponse` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPResponse`

### getService

    public EPPService getService()

  Gets the `EPPService` associated with `EPPContactMapFactory`. The `EPPService` is used by `EPPFactory` for distributing the responsibility of creating concrete `EPPCommand` and `EPPResponse` objects by XML namespace. The XML namespace is defined in the returned `EPPService`.

  Specified by:
    `getService` in class `EPPMapFactory`
  Returns:
    service description for the Contact Command Mapping.

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPMapFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.